# define ONOTOUT		((short) 0)
# define OXOUT			((short) 1)
# define OAOUT			((short) 2)
# define OBOUT			((short) 3)

    /* generic header */
typedef struct s_uhdr {
    short		uh_type;
    union {
	struct xexec	uh_xhdr;	/* x.out header */
	struct aexec	uh_ahdr;	/* a.out header */
	struct bexec	uh_bhdr;	/* b.out header */
    } uh_hdr;
} TUHDR;

    /* x.out symbol (modified) */
struct x2sym {
    unsigned short	sx2_type;
    unsigned short	sx2_pad;
    long		sx2_value;
    char		sx2_name [SYMLENGTH];
};

    /* b.out symbol (modified) */
struct b2sym {
    char		sb2_type;
    long		sb2_value;
    char		sb2_name [SYMLENGTH];
};
    /* generic symbol */
typedef struct s_usym {
    short		us_type;
    union {
	struct x2sym	us_x2sym;	/* x.out symbol (modified) */
	struct asym	us_asym;	/* a.out symbol */
	struct b2sym	us_b2sym;	/* b.out symbol (modified) */
    } us_sym;
} TUSYM;
